> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get a Status Page Service

`GET https://api.pagerduty.com/status_pages/{id}/services/{service_id}`

Get a Service for a Status Page by Status Page ID and Service ID.

Scoped OAuth requires: `status_pages.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |
| `service_id` | string | yes | The ID of the Status Page service. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `service` | object |  | A Service represents a PagerDuty service that is linked to a Status Page. |
| `service.id` | string |  | An unique identifier within Status Page scope that defines a Service entry. Read-only. |
| `service.self` | string |  | The API resource URL of the Service. Read-only. |
| `service.name` | string |  | The name of the Service. |
| `service.status_page` | object |  | Status Page. |
| `service.status_page.id` | string | yes | Status page unique identifier. |
| `service.status_page.type` | string |  | A string that determines the schema of the object. |
| `service.business_service` | object |  | Business Service. |
| `service.business_service.id` | string | yes | Business Service unique identifier. |
| `service.business_service.type` | string |  | A string that determines the schema of the object. |
| `service.type` | string |  | A string that determines the schema of the object. |

Example: Response Example

```json
{
  "service": {
    "business_service": {
      "id": "P32NFFO",
      "self": "https://api.pagerduty.com/business_services/P32NFFO",
      "type": "business_service"
    },
    "id": "PEYSGVF",
    "name": "Events API (US)",
    "status_page": {
      "id": "PIJ90N7",
      "type": "status_page"
    },
    "type": "status_page_service"
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
